Close a directory entry

- « zip_close

- zip_entry_compressedsize »

- PHP Manual
- Zip Functions
- Close a directory entry

# zip_entry_close

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL zip >= 1.0.0)

zip_entry_close — Close a directory entry

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

zip_entry_close(resource `$zip_entry`): bool

Closes the specified directory entry.

### Parameters

`zip_entry`

  A directory entry previously opened zip_entry_open().

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | This function is deprecated in favor of the Object API.

### See Also

- zip_entry_open() - Open a directory entry for reading
- zip_entry_read() - Read from an open directory entry